Bug 204252 - New hint: "Make 'BlaImpl' abstract."
New hint: "Make 'BlaImpl' abstract."
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.1
PC Linux
: P3 (vote)
: 7.1
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 07:16 UTC by Geertjan Wielenga
Modified: 2011-11-07 15:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geertjan Wielenga 2011-10-26 07:16:01 UTC
If I have this:

public class BlaImpl implements Bla {

}

I get a hint on class level "Implement all abstract methods". However, a different solution (present in IntelliJ) would be "Make 'BlaImpl' abstract."

That new hint would result in:

public abstract class BlaImpl implements Bla {

}
Comment 1 Jan Lahoda 2011-11-06 22:22:04 UTC
Actually, not proposing this particular fix in this particular situation is more a defect than an enhancement:
http://hg.netbeans.org/main-silver/rev/14a017b5c6d0
Comment 2 Quality Engineering 2011-11-07 15:46:52 UTC
Integrated into 'main-golden', will be available in build *201111070600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/14a017b5c6d0
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #204252: ImplementAllAbstractMethods does not propose make abstract hint in some cases.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo